org.apache.jmeter.protocol.http.correlation.rule

## Class BoundryExtractorCorrelationRule

- java.lang.Object
- - org.apache.jmeter.protocol.http.correlation.rule.CorrelationRule
  - - org.apache.jmeter.protocol.http.correlation.rule.BoundryExtractorCorrelationRule

-     public class BoundryExtractorCorrelationRule
      extends CorrelationRule

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BoundryExtractorCorrelationRule(BoundaryExtractor boundaryExtractor)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object rule)`
    `String` | `getlBoundary()`
    `String` | `getName()`
    `String` | `getrBoundary()`
    `String` | `getType()`
    `int` | `hashCode()`
    `void` | `setlBoundary(String lBoundary)`
    `void` | `setName(String name)`
    `void` | `setrBoundary(String rBoundary)`
    `void` | `setType(String type)`

    - ### Methods inherited from class org.apache.jmeter.protocol.http.correlation.rule.CorrelationRule

      `getAttribute, getExpr, setAttribute, setExpr`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BoundryExtractorCorrelationRule

          public BoundryExtractorCorrelationRule(BoundaryExtractor boundaryExtractor)

  - ### Method Detail

    - #### getlBoundary

          public String getlBoundary()

      Overrides:
        `getlBoundary` in class `CorrelationRule`

    - #### getName

          public String getName()

      Overrides:
        `getName` in class `CorrelationRule`

    - #### getrBoundary

          public String getrBoundary()

      Overrides:
        `getrBoundary` in class `CorrelationRule`

    - #### getType

          public String getType()

      Overrides:
        `getType` in class `CorrelationRule`

    - #### setlBoundary

          public void setlBoundary(String lBoundary)

      Overrides:
        `setlBoundary` in class `CorrelationRule`

    - #### setName

          public void setName(String name)

      Overrides:
        `setName` in class `CorrelationRule`

    - #### setrBoundary

          public void setrBoundary(String rBoundary)

      Overrides:
        `setrBoundary` in class `CorrelationRule`

    - #### setType

          public void setType(String type)

      Overrides:
        `setType` in class `CorrelationRule`

    - #### equals

          public boolean equals(Object rule)

      Overrides:
        `equals` in class `CorrelationRule`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `CorrelationRule`

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.